Get 30% Discount on Business Pack Order here Click Here
Pasang ap click on the icon in the top right of the address bar.

Pengendali pemberitahuan

GET https://uptimer24.com/api/notification-handlers/
curl --request GET \
--url 'https://uptimer24.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Butiran Penerangan
search Pilihan Rentetan Rentetan carian.
search_by Pilihan Rentetan Apakah bidang yang anda cari. Nilai yang dibenarkan adalah: name.
is_enabled Pilihan Boolean
type Pilihan Rentetan Apakah bidang yang anda cari. Nilai yang dibenarkan adalah: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id.
datetime_field Pilihan Rentetan Nilai yang dibenarkan: datetime, last_datetime
datetime_start Pilihan Rentetan Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Pilihan Rentetan Filter results up to this datetime. Y-m-d H:i:s format.
order_by Pilihan Rentetan Medan apa untuk menyusun keputusan. Nilai yang dibenarkan adalah: notification_handler_id, datetime, last_datetime, name.
order_type Pilihan Rentetan Penentuan susunan keputusan. Nilai yang dibenarkan adalah: ASC untuk susunan menaik, dan DESC untuk susunan menurun.
page Pilihan Integer Nombor halaman yang anda mahu hasilkan. Lalai kepada 1.
results_per_page Pilihan Integer Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan adalah: 10, 25, 50, 100, 250, 500, 1000. Lalai kepada 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-19 04:06:56",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/notification-handlers?page=1",
        "last": "https://uptimer24.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/notification-handlers?page=1"
    }
}
GET https://uptimer24.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-19 04:06:56",
    }
}
POST https://uptimer24.com/api/notification-handlers
Parameter Butiran Penerangan
name Diperlukan Rentetan -
type Diperlukan Rentetan Nilai yang dibenarkan: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id
email Pilihan Rentetan Tersedia apabila: type = email E-mel
webhook Pilihan Rentetan Tersedia apabila: type = webhook URL Webhook
slack Pilihan Rentetan Tersedia apabila: type = slack URL webhook Slack
discord Pilihan Rentetan Tersedia apabila: type = discord URL webhook Discord
telegram Pilihan Rentetan Tersedia apabila: type = telegram Token API Telegram
telegram_chat_id Pilihan Rentetan Tersedia apabila: type = telegram ID Sembang Telegram
microsoft_teams Pilihan Rentetan Tersedia apabila: type = microsoft_teams URL webhook Microsoft Teams
google_chat Pilihan Rentetan Tersedia apabila: type = google_chat URL webhook Google chat
x_consumer_key Pilihan Rentetan Tersedia apabila: type = x Token API Telegram
x_consumer_secret Pilihan Rentetan Tersedia apabila: type = x Token API Telegram
x_access_token Pilihan Rentetan Tersedia apabila: type = x Token API Telegram
x_access_token_secret Pilihan Rentetan Tersedia apabila: type = x Token API Telegram
push_subscriber_id Pilihan Rentetan Tersedia apabila: type = push_subscriber_id Langganan push
curl --request POST \
--url 'https://uptimer24.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://uptimer24.com/api/notification-handlers/{notification_handler_id}
Parameter Butiran Penerangan
name Pilihan Rentetan -
type Pilihan Rentetan Nilai yang dibenarkan: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id
email Pilihan Rentetan Tersedia apabila: type = email E-mel
webhook Pilihan Rentetan Tersedia apabila: type = webhook URL Webhook
slack Pilihan Rentetan Tersedia apabila: type = slack URL webhook Slack
discord Pilihan Rentetan Tersedia apabila: type = discord URL webhook Discord
telegram Pilihan Rentetan Tersedia apabila: type = telegram Token API Telegram
telegram_chat_id Pilihan Rentetan Tersedia apabila: type = telegram ID Sembang Telegram
microsoft_teams Pilihan Rentetan Tersedia apabila: type = microsoft_teams URL webhook Microsoft Teams
google_chat Pilihan Rentetan Tersedia apabila: type = google_chat URL webhook Google chat
x_consumer_key Pilihan Rentetan Tersedia apabila: type = x Token API Telegram
x_consumer_secret Pilihan Rentetan Tersedia apabila: type = x Token API Telegram
x_access_token Pilihan Rentetan Tersedia apabila: type = x Token API Telegram
x_access_token_secret Pilihan Rentetan Tersedia apabila: type = x Token API Telegram
push_subscriber_id Pilihan Rentetan Tersedia apabila: type = push_subscriber_id Langganan push
is_enabled Pilihan Boolean -
curl --request POST \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimer24.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \